## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRadixSorter Class Reference

An in-place radix-sorter for a raw array of 32-bit unsigned integers. More...

`#include <csutil/radixsort.h>`

List of all members.

## Public Member Functions

void | Sort (uint32 *table, int size, int max_value)
| Sort a given table numerically.

## Detailed Description

An in-place radix-sorter for a raw array of 32-bit unsigned integers.

Definition at line 32 of file radixsort.h.

## Member Function Documentation

void csRadixSorter::Sort | ( | uint32 * | table,
|  | int | size,
|  | int | max_value
| ) |

| Sort a given table numerically. If you know the maximum value of all elements in the array you can pass that to Sort. It will then try to minimize the passes based on that max_value.

The documentation for this class was generated from the following file:

- csutil/radixsort.h